package main

var XSD = `<?xml version="1.0" standalone="yes"?>
<xs:schema id="NewDataSet" xmlns=""
           targetNamespace="http://qianqiusoft.com/developer"
           xmlns:tns="http://qianqiusoft.com/developer"
           xmlns:xs="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified">
  <xs:element name="application">
    <xs:complexType>
      <xs:sequence>
        <xs:element name="controllers" minOccurs="0" maxOccurs="unbounded">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="controller" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="api" minOccurs="0" maxOccurs="unbounded">
                      <xs:complexType>
                        <xs:sequence>
                          <xs:element name="param" minOccurs="0" maxOccurs="unbounded">
                            <xs:complexType>
                              <xs:attribute name="name" type="xs:string" />
                              <xs:attribute name="ref" type="xs:string" />
                              <xs:attribute name="desc" type="xs:string" />
                              <xs:attribute name="type" type="xs:string" />
                            </xs:complexType>
                          </xs:element>
                          <xs:element name="return" minOccurs="0" maxOccurs="unbounded">
                            <xs:complexType>
                              <xs:sequence>
                                <xs:element name="success" minOccurs="0" maxOccurs="unbounded">
                                  <xs:complexType>
                                    <xs:attribute name="ref" type="xs:string" />
                                  </xs:complexType>
                                </xs:element>
                                <xs:element name="failure" minOccurs="0" maxOccurs="unbounded">
                                  <xs:complexType>
                                    <xs:attribute name="ref" type="xs:string" />
                                  </xs:complexType>
                                </xs:element>
                              </xs:sequence>
                            </xs:complexType>
                          </xs:element>
                        </xs:sequence>
                        <xs:attribute name="name" type="xs:string" />
                        <xs:attribute name="desc" type="xs:string" />
                        <xs:attribute name="method" type="xs:string" />
                        <xs:attribute name="function" type="xs:string" />
                        <xs:attribute name="table" type="xs:string" />
                      </xs:complexType>
                    </xs:element>
                  </xs:sequence>
                  <xs:attribute name="name" type="xs:string" />
                  <xs:attribute name="desc" type="xs:string" />
                  <xs:attribute name="skip_login" type="xs:string" />
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="beans" minOccurs="0" maxOccurs="unbounded">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="bean" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="prop" minOccurs="0" maxOccurs="unbounded">
                      <xs:complexType>
                        <xs:attribute name="name" type="xs:string" />
                        <xs:attribute name="caption" type="xs:string" />
                        <xs:attribute name="type" type="xs:string" />
                      </xs:complexType>
                    </xs:element>
                  </xs:sequence>
                  <xs:attribute name="name" type="xs:string" />
                  <xs:attribute name="desc" type="xs:string" />
                  <xs:attribute name="inher" type="xs:string" />
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="tables" minOccurs="0" maxOccurs="unbounded">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="table" minOccurs="0" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:sequence>
                    <xs:element name="column" minOccurs="0" maxOccurs="unbounded">
                      <xs:complexType>
                        <xs:sequence>
                          <xs:element name="auto" minOccurs="0" maxOccurs="unbounded">
                            <xs:complexType>
                              <xs:attribute name="value" type="xs:string" />
                              <xs:attribute name="update" type="xs:string" />
                            </xs:complexType>
                          </xs:element>
                        </xs:sequence>
                        <xs:attribute name="isNull" type="xs:string" />
                        <xs:attribute name="isPK" type="xs:string" />
                        <xs:attribute name="name" type="xs:string" />
                        <xs:attribute name="caption" type="xs:string" />
                        <xs:attribute name="dbtype" type="xs:string" />
                        <xs:attribute name="type" type="xs:string" />
                        <xs:attribute name="size" type="xs:string" />
                      </xs:complexType>
                    </xs:element>
                  </xs:sequence>
                  <xs:attribute name="name" type="xs:string" />
                  <xs:attribute name="desc" type="xs:string" />
                </xs:complexType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:sequence>
      <xs:attribute name="name" type="xs:string" />
      <xs:attribute name="desc" type="xs:string" />
      <xs:attribute name="packagename" type="xs:string" />
    </xs:complexType>
  </xs:element>
  <xs:element name="NewDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element ref="application" />
      </xs:choice>
    </xs:complexType>
  </xs:element>
</xs:schema>`
